
#property copyright "Copyright  2006, Hercs & ShadowWz"            

//=================================================================================================

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Magenta 
#property indicator_color2 Magenta
#property indicator_width1 2
#property indicator_width2 2

extern int cbars =  600;
extern int cci_per = 65;//40
extern int cci_level = 298;

double sBuffer[];
double bBuffer[];

int init(){
   //IndicatorBuffers(4);
   SetIndexStyle(0,DRAW_ARROW,EMPTY,2);
   SetIndexBuffer(0,sBuffer);
   SetIndexEmptyValue(0,0);
   SetIndexArrow(0,222);
   
   SetIndexStyle(1,DRAW_ARROW,EMPTY,2);
   SetIndexBuffer(1,bBuffer);
   SetIndexEmptyValue(1,0);
   SetIndexArrow(1,221);
   
   return(0);
}

int start(){
   static int last_bar = 0;
   if(last_bar==Bars) return (0);
   last_bar = Bars;
   int dir = 0;
   for(int i=cbars;i>0;i--){
         sBuffer[i] = 0;
         bBuffer[i] = 0;
         double cci;
         cci = iCCI(NULL,0,cci_per,PRICE_TYPICAL,i);
         if(cci>=cci_level){
            bBuffer[i] = High[i];
            }
         else if(MathAbs(cci)>=cci_level){
            sBuffer[i] = Low[i];
            }
         }
   if(bBuffer[1]!=0 || sBuffer[1]!=0){
      //Alert(Symbol() + " M("+Period()+") - CCI-5 overheated");//<<<<<<<<<<< NB >>>>>>>>>>>
      }
   return(0);
  }
//+-----------------------------------------------------------------------------------------------+