 
// #4X 2010 Fibo-Grid X12     \/
// Knowledge of the ancients ( )
//______________________o0o___(_)___o0o_____
//___Xard777_____________________2010_

#property indicator_chart_window

extern color color1 = White;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectDelete("S1");
   ObjectDelete("S2");
   ObjectDelete("S3");
   ObjectDelete("S4");
   ObjectDelete("S5");
   ObjectDelete("S6");
   ObjectDelete("S7");
   ObjectDelete("S8");
   ObjectDelete("S9");
   ObjectDelete("S10");
   ObjectDelete("S11");
   ObjectDelete("S12");
   ObjectDelete("R1");
   ObjectDelete("R2");
   ObjectDelete("R3");
   ObjectDelete("R4");
   ObjectDelete("R5");
   ObjectDelete("R6");
   ObjectDelete("R7");
   ObjectDelete("R8");
   ObjectDelete("R9");
   ObjectDelete("R10");
   ObjectDelete("R11");
   ObjectDelete("R12");
   ObjectDelete("PIVOT");
   ObjectDelete("Support 1 PV UP");
   ObjectDelete("Support 2");
   ObjectDelete("Support 3");
   ObjectDelete("Support 4");
   ObjectDelete("Support 5");
   ObjectDelete("Support 6");
   ObjectDelete("Support 7");
   ObjectDelete("Support 8");
   ObjectDelete("Support 9");
   ObjectDelete("Support 10");
   ObjectDelete("Support 11");
   ObjectDelete("Support 12");
   ObjectDelete("Pivot Point");
   ObjectDelete("Resistance 1 PV DOWN");
   ObjectDelete("Resistance 2");
   ObjectDelete("Resistance 3");
   ObjectDelete("Resistance 4");
   ObjectDelete("Resistance 5");
   ObjectDelete("Resistance 6");
   ObjectDelete("Resistance 7");
   ObjectDelete("Resistance 8");
   ObjectDelete("Resistance 9");
   ObjectDelete("Resistance 10");
   ObjectDelete("Resistance 11");
   ObjectDelete("Resistance 12");
   Comment(" ");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  { 
//----
double rates[1][6],yesterday_close,yesterday_high,yesterday_low;
ArrayCopyRates(rates, Symbol(), PERIOD_D1);

if(DayOfWeek() == 1)
{
   if(TimeDayOfWeek(iTime(Symbol(),PERIOD_D1,1)) == 5)
   {
       yesterday_close = rates[1][4];
       yesterday_high = rates[1][3];
       yesterday_low = rates[1][2];
   }
   else
   {
      for(int d = 5;d>=0;d--)
      {
         if(TimeDayOfWeek(iTime(Symbol(),PERIOD_D1,d)) == 5)
         {
             yesterday_close = rates[d][4];
             yesterday_high = rates[d][3];
             yesterday_low = rates[d][2];
         }
         
      }  
   }
}
else
{
    yesterday_close = rates[1][4];
    yesterday_high = rates[1][3];
    yesterday_low = rates[1][2];
}

//Comment("\nYesterday quotations:\nH ",yesterday_high,"\nL ",yesterday_low, "\nC ",yesterday_close);
double R = yesterday_high - yesterday_low;//range
double p = (yesterday_high + yesterday_low + yesterday_close)/3;// Standard Pivot

double r12 = p + (R * 4.000);
double r11 = p + (R * 3.618);
double r10 = p + (R * 3.382);
double r9 = p + (R * 3.000);
double r8 = p + (R * 2.618);
double r7 = p + (R * 2.382);
double r6 = p + (R * 2.000);
double r5 = p + (R * 1.618);
double r4 = p + (R * 1.382);
double r3 = p + (R * 1.000);
double r2 = p + (R * 0.618);
double r1 = p + (R * 0.382);

double s1 = p - (R * 0.382);
double s2 = p - (R * 0.618);
double s3 = p - (R * 1.000);
double s4 = p - (R * 1.382);
double s5 = p - (R * 1.618);
double s6 = p - (R * 2.000);
double s7 = p - (R * 2.382);
double s8 = p - (R * 2.618);
double s9 = p - (R * 3.000);
double s10 = p - (R * 3.382);
double s11 = p - (R * 3.618);
double s12 = p - (R * 4.000);

drawLine(r12,"R12", color1,0);
drawLabel("Resistance 12",r12,color1);
drawLine(r11,"R11", color1,0);
drawLabel("Resistance 11",r11,color1);
drawLine(r10,"R10", color1,0);
drawLabel("Resistance 10",r10,color1);
drawLine(r9,"R9", color1,0);
drawLabel("Resistance 9",r9,color1);
drawLine(r8,"R8", color1,0);
drawLabel("Resistance 8",r8,color1);
drawLine(r7,"R7", color1,0);
drawLabel("Resistance 7",r7,color1);
drawLine(r6,"R6", color1,0);
drawLabel("Resistance 6",r6,color1);
drawLine(r5,"R5", color1,0);
drawLabel("Resistance 5",r5,color1);
drawLine(r4,"R4", color1,0);
drawLabel("Resistance 4",r4,color1);
drawLine(r3,"R3", color1,0);
drawLabel("Resistance 3",r3,color1);
drawLine(r2,"R2", color1,0);
drawLabel("Resistance 2",r2,color1);
drawLine(r1,"R1", color1,0);
drawLabel("Resistance 1",r1,color1);

drawLine(p,"PIVOT",Orange,1);
drawLabel("Pivot level",p,Orange);

drawLine(s1,"S1",color1,0);
drawLabel("Support 1",s1,color1);
drawLine(s2,"S2",color1,0);
drawLabel("Support 2",s2,color1);
drawLine(s3,"S3",color1,0);
drawLabel("Support 3",s3,color1);
drawLine(s4,"S4",color1,0);
drawLabel("Support 4",s4,color1);
drawLine(s5,"S5",color1,0);
drawLabel("Support 5",s5,color1);
drawLine(s6,"S6",color1,0);
drawLabel("Support 6",s6,color1);
drawLine(s7,"S7",color1,0);
drawLabel("Support 7",s7,color1);
drawLine(s8,"S8",color1,0);
drawLabel("Support 8",s8,color1);
drawLine(s9,"S9",color1,0);
drawLabel("Support 9",s9,color1);
drawLine(s10,"S10",color1,0);
drawLabel("Support 10",s10,color1);
drawLine(s11,"S11",color1,0);
drawLabel("Support 11",s11,color1);
drawLine(s12,"S12",color1,0);
drawLabel("Support 12",s12,color1);
//----
   return(0);
  }
//+------------------------------------------------------------------+
void drawLabel(string name,double lvl,color Color)
{
    if(ObjectFind(name) != 0)
    {
        ObjectCreate(name, OBJ_TEXT, 0, Time[10], lvl);
        ObjectSetText(name, name, 8, "Arial", EMPTY);
        ObjectSet(name, OBJPROP_COLOR, Color);
    }
    else
    {
        ObjectMove(name, 0, Time[10], lvl);
    }
}

void drawLine(double lvl,string name, color Col,int type)
{
         if(ObjectFind(name) != 0)
         {
            ObjectCreate(name, OBJ_TREND, 0, Time[15], lvl,Time[0],lvl);
            ObjectSet(name, OBJPROP_RAY, false);
            
            if(type == 1)
            ObjectSet(name, OBJPROP_STYLE, STYLE_SOLID);
            else
            ObjectSet(name, OBJPROP_STYLE, STYLE_SOLID);
            
            ObjectSet(name, OBJPROP_COLOR, Col);
            ObjectSet(name,OBJPROP_WIDTH,2);
            
         }
         else
         {
            ObjectDelete(name);
            ObjectCreate(name, OBJ_TREND, 0, Time[15], lvl,Time[0],lvl);
            ObjectSet(name, OBJPROP_RAY, false);
            
            if(type == 1)
            ObjectSet(name, OBJPROP_STYLE, STYLE_SOLID);
            else
            ObjectSet(name, OBJPROP_STYLE, STYLE_SOLID);
            
            ObjectSet(name, OBJPROP_COLOR, Col);        
            ObjectSet(name,OBJPROP_WIDTH,2);
          
         }
}