//+------------------------------------------------------------------+
//|                                          CandleTimeStationary.mq4|
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+

#property indicator_chart_window
double s1[];
extern color  Clock_Color = DimGray;
extern string Corner_Placement = "1 is top right 3 is bottom right";
extern int    Corner = 3;


//---- input parameters

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init(){

   
   //----
   return(0);
}
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit(){
/* ObjectDelete(); */ 

   //----
   return(0);
} 


//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start(){
  
     //Time to bar expiry
	double g;
   int m,s,k;
   m=Time[0]+Period()*60-CurTime();
   g=m/60.0;
   s=m%60;
   m=(m-m%60)/60;
   //Comment(m + " minutes " + s + " seconds left to bar end");
   g=NormalizeDouble(g,1);
   for (k=1;k<=Bars-1;k++) s1[k]=0.0000001;
   for (k=1;k<=2;k++) s1[k]=g;
//end bar expiry

   
       ObjectCreate("X603", OBJ_LABEL,0, 0, 0);
           ObjectSetText("X603","Spread: " + DoubleToStr(MarketInfo(Symbol(), MODE_SPREAD), 0), 10, "Arial", Clock_Color);
           ObjectSet("X603", OBJPROP_CORNER, Corner);
           ObjectSet("X603", OBJPROP_XDISTANCE, 90);
           ObjectSet("X603", OBJPROP_YDISTANCE, 2);     
        
    ObjectCreate("X601", OBJ_LABEL, 0, 0, 0);
        ObjectSetText("X601","Bar  "+DoubleToStr(m,-3),10, "Arial", Clock_Color);
        ObjectSet("X601", OBJPROP_CORNER, Corner);
        ObjectSet("X601", OBJPROP_XDISTANCE, 36);
        ObjectSet("X601", OBJPROP_YDISTANCE, 2);
   
    ObjectCreate("X604", OBJ_LABEL, 0, 0, 0);
        ObjectSetText("X604",":", 10, "Arial Bold", Clock_Color);
        ObjectSet("X604", OBJPROP_CORNER, Corner);
        ObjectSet("X604", OBJPROP_XDISTANCE, 30);
        ObjectSet("X604", OBJPROP_YDISTANCE, 2);
   
    ObjectCreate("X602", OBJ_LABEL, 0, 0, 0);
        ObjectSetText("X602",DoubleToStr(s,-3), 10, "Arial", Clock_Color);
        ObjectSet("X602", OBJPROP_CORNER, Corner);
        ObjectSet("X602", OBJPROP_XDISTANCE, 14);
        ObjectSet("X602", OBJPROP_YDISTANCE, 2);
        
   return(0);
}
//+---------------------------------------------------------